StoppingTransformation (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.transform

## Class StoppingTransformation<I extends BaseRowIterator<?>>

- java.lang.Object
- - org.apache.cassandra.db.transform.Transformation<I>
  - - org.apache.cassandra.db.transform.StoppingTransformation<I>

- Direct Known Subclasses:
    DataLimits.Counter, ReadCommand.CheckForAbort

      public abstract class StoppingTransformation<I extends BaseRowIterator<?>>
      extends Transformation<I>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoppingTransformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `attachTo(BasePartitions partitions)`
    `protected void` | `attachTo(BaseRows rows)`
    `protected void` | `onClose()` Run on the close of any (logical) partitions iterator this function was applied to We stipulate logical, because if applied to a transformed iterator the lifetime of the iterator object may be longer than the lifetime of the "logical" iterator it was applied to; if the iterator is refilled with MoreContents, for instance, the iterator may outlive this function
    `protected void` | `onPartitionClose()` Run on the close of any (logical) rows iterator this function was applied to We stipulate logical, because if applied to a transformed iterator the lifetime of the iterator object may be longer than the lifetime of the "logical" iterator it was applied to; if the iterator is refilled with MoreContents, for instance, the iterator may outlive this function
    `protected void` | `stop()` If invoked by a subclass, any partitions iterator this transformation has been applied to will terminate after any currently-processing item is returned, as will any row/unfiltered iterator
    `protected void` | `stopInPartition()` If invoked by a subclass, any rows/unfiltered iterator this transformation has been applied to will terminate after any currently-processing item is returned

    - ### Methods inherited from class org.apache.cassandra.db.transform.Transformation

      `apply, apply, apply, apply, applyToDeletion, applyToMarker, applyToPartition, applyToPartitionColumns, applyToPartitionKey, applyToRow, applyToStatic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoppingTransformation

          public StoppingTransformation()

  - ### Method Detail

    - #### stop

          @DontInline
          protected void stop()

      If invoked by a subclass, any partitions iterator this transformation has been applied to will terminate after any currently-processing item is returned, as will any row/unfiltered iterator

    - #### stopInPartition

          @DontInline
          protected void stopInPartition()

      If invoked by a subclass, any rows/unfiltered iterator this transformation has been applied to will terminate after any currently-processing item is returned

    - #### attachTo

          protected void attachTo(BasePartitions partitions)

    - #### attachTo

          protected void attachTo(BaseRows rows)

    - #### onClose

          protected void onClose()

      Description copied from class: `Transformation`
      Run on the close of any (logical) partitions iterator this function was applied to We stipulate logical, because if applied to a transformed iterator the lifetime of the iterator object may be longer than the lifetime of the "logical" iterator it was applied to; if the iterator is refilled with MoreContents, for instance, the iterator may outlive this function
      Overrides:
        `onClose` in class `Transformation<I extends BaseRowIterator<?>>`

    - #### onPartitionClose

          protected void onPartitionClose()

      Description copied from class: `Transformation`
      Run on the close of any (logical) rows iterator this function was applied to We stipulate logical, because if applied to a transformed iterator the lifetime of the iterator object may be longer than the lifetime of the "logical" iterator it was applied to; if the iterator is refilled with MoreContents, for instance, the iterator may outlive this function
      Overrides:
        `onPartitionClose` in class `Transformation<I extends BaseRowIterator<?>>`

Copyright © 2018 The Apache Software Foundation